<template>
    <div>
        <!--Page Title-->
        <section class="page-title" style="background-image:url(assets/images/background/10.jpg);">
            <div class="auto-container">
                <div class="inner-container clearfix">
                    <div class="title-box">
                        <h1>{{$root.lang() == 1 ? 'Galeri' : $root.lang() == 2 ? 'Galleries' : 'Galerie'}}</h1>
                    </div>
                    <ul class="bread-crumb clearfix">
                        <li><a href="/">{{$root.lang() == 1 ? 'Beranda' : $root.lang() == 2 ? 'Home' : 'Zuhause'}}</a></li>
                        <li>{{$root.lang() == 1 ? 'Galeri' : $root.lang() == 2 ? 'Galleries' : 'Galerie'}}</li>
                    </ul>
                </div>
            </div>
        </section>
        <!--End Page Title-->

        <!-- Blog Section -->
        <section class="blog-section">
            <div class="auto-container">
                <div class="row">
                    <!-- News Block -->
                    <div class="news-block-two col-lg-6 col-md-12 col-sm-12" v-for="galeri in galleries">
                        <div class="inner-box">
                            <div class="image-box">
                                <figure class="image">
                                    <img :src="$root.asset(galeri.tb_gallery_images[0].name)" alt="">
                                </figure>
                                <div class="overlay-box"><a :href="'/gallery/'+galeri.id"><i class="fa fa-link"></i></a></div>
                            </div>
                            <div class="caption-box">
                                <div class="inner">
                                    <h3><a :href="'/gallery/'+galeri.id">{{galeri.name}}</a></h3>
                                    <ul class="info">
                                        <li>{{galeri.client_name}}</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!--Post Share Options-->
                <!-- <div class="styled-pagination">
                    <ul class="clearfix">
                        <li class="prev-post"><a href="#"><span class="fa fa-long-arrow-left"></span> Prev</a></li>
                        <li><a href="#">1</a></li>
                        <li class="active"><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li class="next-post"><a href="#"> Next <span class="fa fa-long-arrow-right"></span> </a></li>
                    </ul>
                </div> -->
            </div>
        </section>
        <!--End Blog Section -->
    </div>
</template>

<script>
    import Gallery from "../services/api/gallery.js"
    export default {
        data() {
            return {
                galleries: [],
                currentPage: 1,
                totalPage: 1,
                totalRows: 0
            }
        },
        mounted() {
            this.initGallery()
        },
        methods: {
            initGallery() {
                this.galleries = Gallery.getGallery(this.$root.lang(), this.currentPage).rows
                
            }
        }
    }

</script>